---
lang: en
title: 'API docs: authentication.userservice.converttouserprofile'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.userservice.converttouserprofile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [UserService](./authentication.userservice.md) &gt; [convertToUserProfile](./authentication.userservice.converttouserprofile.md)

## UserService.convertToUserProfile() method

Convert the user returned by `verifyCredentials()` to a common user profile that describes a user in your application

<b>Signature:</b>

```typescript
convertToUserProfile(user: U): UserProfile;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  user | <code>U</code> | The user returned from <code>verifyCredentials()</code> |

<b>Returns:</b>

`UserProfile`


